import * as ActionTypes from './actionTypes'
import { State } from './rootReducer'

export * from './auth/action'
export * from './metadata/action'

export const restoreState = (payload: State) => {
  return {
    type: ActionTypes.RESTORE_STATE,
    payload
  }
}

export interface RestoreState {
  type: typeof ActionTypes.RESTORE_STATE
  payload: State
}
