import { Event } from 'nostr-tools'
import { combineReducers } from 'redux'
import authReducer from './auth/reducer'
import { AuthState } from './auth/types'
import metadataReducer from './metadata/reducer'

export interface State {
  auth: AuthState
  metadata?: Event
}

export default combineReducers({
  auth: authReducer,
  metadata: metadataReducer
})
