export enum UserRole {
  signer = 'Signer',
  viewer = 'Viewer'
}

export interface User {
  pubkey: string
  role: UserRole
}

export interface Meta {
  signers: string[]
  viewers: string[]
  fileHashes: { [key: string]: string }
  submittedBy: string
  signedEvents: { [key: string]: string }
}
